Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.one2team.highcharts.server
Class JSMPlotOptions

    java.lang.Object
      org.one2team.highcharts.server.JSMBaseObject
          org.one2team.highcharts.server.JSMPlotOptions

All Implemented Interfaces:
  org.mozilla.javascript.Scriptable, PlotOptions

    public class JSMPlotOptions

extends JSMBaseObject
implements PlotOptions

Nested Class Summary
`static class` | `JSMPlotOptions.JSMSeries`

Nested classes/interfaces inherited from interface org.one2team.highcharts.shared.PlotOptions
`PlotOptions.Series`

Field Summary
`JSMPlotOptions.JSMSeries` | `area`
`JSMPlotOptions.JSMSeries` | `areaspline`
`JSMPlotOptions.JSMSeries` | `bar`
`JSMPlotOptions.JSMSeries` | `column`
`JSMPlotOptions.JSMSeries` | `line`
`JSMPlotOptions.JSMSeries` | `pie`
`JSMPlotOptions.JSMSeries` | `series`
`JSMPlotOptions.JSMSeries` | `spline`

Fields inherited from class org.one2team.highcharts.server.JSMBaseObject
`innerHTML, userObject`

Fields inherited from interface org.mozilla.javascript.Scriptable
`NOT_FOUND`

Constructor Summary
`JSMPlotOptions()`

Method Summary
`JSMPlotOptions.JSMSeries` | `getArea()`
`JSMPlotOptions.JSMSeries` | `getAreaspline()`
`JSMPlotOptions.JSMSeries` | `getBar()`
`JSMPlotOptions.JSMSeries` | `getColumn()`
`JSMPlotOptions.JSMSeries` | `getLine()`
`JSMPlotOptions.JSMSeries` | `getPie()`
`JSMPlotOptions.JSMSeries` | `getSeries()`
`JSMPlotOptions.JSMSeries` | `getSpline()`

Methods inherited from class org.one2team.highcharts.server.JSMBaseObject
`delete, delete, get, get, getClassName, getDefaultValue, getIds, getInnerHTML, getParentScope, getPrototype, getUserObject, has, has, hasInstance, put, put, setInnerHTML, setParentScope, setPrototype, setUserObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### area

    public final JSMPlotOptions.JSMSeries area

### areaspline

    public final JSMPlotOptions.JSMSeries areaspline

### line

    public final JSMPlotOptions.JSMSeries line

### pie

    public final JSMPlotOptions.JSMSeries pie

### series

    public final JSMPlotOptions.JSMSeries series

### spline

    public final JSMPlotOptions.JSMSeries spline

### column

    public JSMPlotOptions.JSMSeries column

### bar

    public JSMPlotOptions.JSMSeries bar

Constructor Detail

### JSMPlotOptions

    public JSMPlotOptions()

Method Detail

### getArea

    public JSMPlotOptions.JSMSeries getArea()

  Specified by:
    `getArea` in interface `PlotOptions`

### getAreaspline

    public JSMPlotOptions.JSMSeries getAreaspline()

  Specified by:
    `getAreaspline` in interface `PlotOptions`

### getBar

    public JSMPlotOptions.JSMSeries getBar()

  Specified by:
    `getBar` in interface `PlotOptions`

### getColumn

    public JSMPlotOptions.JSMSeries getColumn()

  Specified by:
    `getColumn` in interface `PlotOptions`

### getLine

    public JSMPlotOptions.JSMSeries getLine()

  Specified by:
    `getLine` in interface `PlotOptions`

### getPie

    public JSMPlotOptions.JSMSeries getPie()

  Specified by:
    `getPie` in interface `PlotOptions`

### getSeries

    public JSMPlotOptions.JSMSeries getSeries()

  Specified by:
    `getSeries` in interface `PlotOptions`

### getSpline

    public JSMPlotOptions.JSMSeries getSpline()

  Specified by:
    `getSpline` in interface `PlotOptions`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD